using e_suite.API.Common.models;
using e_suite.Database.Core.Tables.Diagnostics;

namespace e_suite.API.Common.repository;

public interface IPerformanceManagerRepository
{
    IQueryable<PerformanceReportSummary> GetPerformanceReportSummary();
    IQueryable<PerformanceReport> GetPerformanceReports(string hostName, string controllerName, string actionName, string requestType);
}